Bug 151242 - CAN-2005-0384 pppd remote DoS
CAN-2005-0384 pppd remote DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 06:10 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-16 06:10:24 EST
See #151240 for POC and patch

+++ This bug was initially created as a clone of Bug #151240 +++

Ben Martel and Stephen Blackheath discovered a DoS attack that a client of pppd
can make that can hang the server machine.  The bug is in the Linux kernel 2.6
(tested on 2.6.9), but it looks like it also exists in the 2.4 series.
Comment 1 Jim Paradis 2005-04-19 13:46:26 EDT
A fix for this problem has been committed to the RHEL21 source pool for kernel
version 2.4.9-e.62
Comment 2 John Flanagan 2005-04-28 11:05:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-283.html

Note You need to log in before you can comment on or make changes to this bug.